Table of Contents

## Name

XdbeQueryExtension - returns the version of DBE supported by the server.

## Synopsis

#include <X11/extensions/Xdbe.h>

Status XdbeQueryExtension( Display *dpy,
int *major_version_return,
int *minor_version_return)

## Description

Sets major_version_return and minor_version_return to the major and minor DBE protocol version supported by the server. If the DBE library is compatible with the version returned by the server, this function returns non-zero. If dpy does not support the DBE extension, or if there was an error during communication with the server, or if the server and library protocol versions are incompatible, this function returns zero. No other Xdbe functions may be called before this function. If a client violates this rule, the effects of all subsequent Xdbe calls that it makes are undefined.

## See Also

DBE, XdbeAllocateBackBufferName(), XdbeBeginIdiom(), XdbeDeallocateBackBufferName(), XdbeEndIdiom(), XdbeFreeVisualInfo(), XdbeGetBackBufferAttributes(), XdbeGetVisualInfo(), XdbeSwapBuffers().

Table of Contents

- Name
- Synopsis
- Description
- See Also